aboutsummaryrefslogtreecommitdiffstats
path: root/native/dicttoolkit/run_tests.sh
diff options
context:
space:
mode:
authorKeisuke Kuroyanagi <ksk@google.com>2014-10-31 20:27:06 +0900
committerKeisuke Kuroyanagi <ksk@google.com>2014-10-31 20:27:06 +0900
commite101a53ffc517a9249d0442bbf435ce214374e9b (patch)
tree4e1e4a3f3d7ea6c34e92fbe5595825d69b0a4353 /native/dicttoolkit/run_tests.sh
parent23a357d71d5d1a404975375fd376618a4fd2a596 (diff)
downloadlatinime-e101a53ffc517a9249d0442bbf435ce214374e9b.tar.gz
latinime-e101a53ffc517a9249d0442bbf435ce214374e9b.tar.xz
latinime-e101a53ffc517a9249d0442bbf435ce214374e9b.zip
Initial commit for native dicttoolkit.
Bug: 10059681 Change-Id: Ib730af8ebc944e08aaada869c0626724a499747c
Diffstat (limited to 'native/dicttoolkit/run_tests.sh')
-rwxr-xr-xnative/dicttoolkit/run_tests.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/native/dicttoolkit/run_tests.sh b/native/dicttoolkit/run_tests.sh
new file mode 100755
index 000000000..44c99c144
--- /dev/null
+++ b/native/dicttoolkit/run_tests.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+# Copyright 2014, The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# check script arguments
+if [[ $(type -t mmm) != function ]]; then
+if [[ ${BASH_SOURCE[0]} != $0 ]]; then return; else exit 1; fi
+fi
+
+# Host build is never supported in unbundled (NDK/tapas) build
+if [[ -n $TARGET_BUILD_APPS ]]; then
+ echo "Host build is never supported in tapas build." 1>&2
+ echo "Use lunch command instead." 1>&2
+ if [[ ${BASH_SOURCE[0]} != $0 ]]; then return; else exit 1; fi
+fi
+
+test_name=dicttoolkit_unittests
+
+pushd $PWD > /dev/null
+cd $(gettop)
+(mmm -j16 packages/inputmethods/LatinIME/native/dicttoolkit) || (make -j16 $test_name)
+$ANDROID_HOST_OUT/bin/$test_name
+popd > /dev/null